Get the user's matches, on either side of the trade.
curl --request GET \
--url https://api.symbiosis.markets/rfq/matches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/rfq/matches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/rfq/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"amount": "<string>",
"asset_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fee_amount": "<string>",
"fee_bps": 32767,
"match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1,
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"side": "Bid",
"venue_id": "polymarket"
}
],
"next_cursor": "<string>"
}RFQ
Get the user's matches, on either side of the trade.
GET
/
rfq
/
matches
Get the user's matches, on either side of the trade.
curl --request GET \
--url https://api.symbiosis.markets/rfq/matches \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.symbiosis.markets/rfq/matches"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.symbiosis.markets/rfq/matches', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"amount": "<string>",
"asset_id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"fee_amount": "<string>",
"fee_bps": 32767,
"match_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"price": 1,
"quote_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"quoter_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"requester_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"side": "Bid",
"venue_id": "polymarket"
}
],
"next_cursor": "<string>"
}Authorizations
SessionBearerApiKeyHmac & HmacTimestamp & HmacSignature
Session token from POST /auth/login.
Query Parameters
Required range:
x >= 0The supported markets of the system.
Available options:
polymarket, kalshi, limitless